import React from 'react';
export declare class ErrorBoundary extends React.Component<{
    onError?: (error: any, info: any) => void;
    FallbackComponent: any;
}> {
    static getDerivedStateFromError(error: any): {
        error: any;
    };
    state: {
        error: any;
    };
    componentDidCatch(error: any, info: any): void;
    render(): any;
}
export declare function createErrorFallback(cmpKey: string, id: string): (props: any) => JSX.Element;
export declare function ComponentNotFound({ module, component }: {
    module?: string;
    component: any;
}): JSX.Element;
